Package com.google.protobuf

# Class GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.ExtendableBuilder<GeneratedMessageV3,BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>

All Implemented Interfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>`, `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `GeneratedMessageV3`

@Deprecated public abstract static class GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>> extends GeneratedMessageV3.Builder<BuilderT> implements GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT>
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage.ExtendableBuilder instead.
Stub for GeneratedMessageV3.ExtendableBuilder wrapping GeneratedMessage.ExtendableBuilder for compatibility with older gencode.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExtendableBuilder()`
Deprecated.
`protected`
`ExtendableBuilder(GeneratedMessageV3.BuilderParent parent)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`<T> BuilderT`
`addExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, T value)`
Deprecated.
`BuilderT`
`addRepeatedField(Descriptors.FieldDescriptor field, Object value)`
Deprecated.
`<T> BuilderT`
`clearExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`BuilderT`
`clearField(Descriptors.FieldDescriptor field)`
Deprecated.
`BuilderT`
`clearOneof(Descriptors.OneofDescriptor oneof)`
Deprecated.
`final <T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)`
Deprecated.
`final <T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`final <T> int`
`getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)`
Deprecated.
`final <T> boolean`
`hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`protected final void`
`mergeExtensionFields(GeneratedMessageV3.ExtendableMessage<?> other)`
Deprecated.
`<T> BuilderT`
`setExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index, T value)`
Deprecated.
`<T> BuilderT`
`setExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension, T value)`
Deprecated.
`BuilderT`
`setField(Descriptors.FieldDescriptor field, Object value)`
Deprecated.
`BuilderT`
`setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)`
Deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`clear, clone, getParentForChildren, internalGetFieldAccessorTable, mergeUnknownFields, setUnknownFields`

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableBuilder

`addExtension, clearExtension, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasField, isInitialized, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`getDescriptorForType, getOneofFieldDescriptor, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.Message.Builder

`build, buildPartial, mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Constructor Details

### ExtendableBuilder

@Deprecated protected ExtendableBuilder()
Deprecated.

### ExtendableBuilder

@Deprecated protected ExtendableBuilder(GeneratedMessageV3.BuilderParent parent)
Deprecated.

## Method Details

### hasExtension

@Deprecated public final <T> boolean hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

Specified by:
  `hasExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtensionCount

@Deprecated public final <T> int getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)
Deprecated.

Specified by:
  `getExtensionCount` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtension

@Deprecated public final <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

Specified by:
  `getExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtension

@Deprecated public final <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)
Deprecated.

Specified by:
  `getExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### setExtension

@Deprecated public <T> BuilderT setExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension, T value)
Deprecated.

### setExtension

@Deprecated public <T> BuilderT setExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index, T value)
Deprecated.

### addExtension

@Deprecated public <T> BuilderT addExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, T value)
Deprecated.

### clearExtension

@Deprecated public <T> BuilderT clearExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

### setField

@Deprecated public BuilderT setField(Descriptors.FieldDescriptor field, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Sets a field to the given value. The value must be of the correct type for this field, that is, the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` returns.

Specified by:
  `setField` in interface `Message.Builder`
Overrides:
  `setField` in class `GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`

### clearField

@Deprecated public BuilderT clearField(Descriptors.FieldDescriptor field)
Deprecated.
Description copied from interface: `Message.Builder`
Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.

Specified by:
  `clearField` in interface `Message.Builder`
Overrides:
  `clearField` in class `GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`

### clearOneof

@Deprecated public BuilderT clearOneof(Descriptors.OneofDescriptor oneof)
Deprecated.
Description copied from class: `AbstractMessage.Builder`
TODO: Clear it when all subclasses have implemented this method.

Specified by:
  `clearOneof` in interface `Message.Builder`
Overrides:
  `clearOneof` in class `GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`

### setRepeatedField

@Deprecated public BuilderT setRepeatedField(Descriptors.FieldDescriptor field, int index, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Sets an element of a repeated field to the given value. The value must be of the correct type for this field; that is, the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` returns.

Specified by:
  `setRepeatedField` in interface `Message.Builder`
Overrides:
  `setRepeatedField` in class `GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`

### addRepeatedField

@Deprecated public BuilderT addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Deprecated.
Description copied from interface: `Message.Builder`
Like `setRepeatedField`, but appends the value as a new element.

Specified by:
  `addRepeatedField` in interface `Message.Builder`
Overrides:
  `addRepeatedField` in class `GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`

### mergeExtensionFields

@Deprecated protected final void mergeExtensionFields(GeneratedMessageV3.ExtendableMessage<?> other)
Deprecated.